Skip to main content
POST
/
v2
/
{entity}
/
{project}
/
models
Model Create
curl --request POST \
  --url https://api.example.com/v2/{entity}/{project}/models \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "source_code": "<string>",
  "description": "<string>",
  "attributes": {}
}
'
import requests

url = "https://api.example.com/v2/{entity}/{project}/models"

payload = {
"name": "<string>",
"source_code": "<string>",
"description": "<string>",
"attributes": {}
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
source_code: '<string>',
description: '<string>',
attributes: {}
})
};

fetch('https://api.example.com/v2/{entity}/{project}/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "digest": "<string>",
  "object_id": "<string>",
  "version_index": 123,
  "model_ref": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

entity
string
required
project
string
required

Body

application/json
name
string
required

The name of this model. Models with the same name will be versioned together.

source_code
string
required

Complete source code for the Model class including imports

description
string | null

A description of this model

attributes
Attributes · object | null

Additional attributes to be stored with the model

Response

Successful Response

digest
string
required

The digest of the created model

object_id
string
required

The ID of the created model

version_index
integer
required

The version index of the created model

model_ref
string
required

Full reference to the created model